﻿body {
    /*background: linear-gradient(180deg, rgba(217,225,255,1) 0%, rgba(67,94,190,1) 25%);*/

    background-image: url("../images/logoterna_trasparent50.png");
    /* Background image is centered vertically and horizontally at all times */
    /* background-position: center center;*/
    /* Background image doesn't tile */
    /*background-repeat: no-repeat;*/
    /* Background image is fixed in the viewport so that it doesn't move when
the content's height is greater than the image's height */
    /* background-attachment: fixed;*/
    /* This is what makes the background image rescale based
on the container's size */
    /* background-size: cover;*/
    /* Set a background color that will be displayed
while the background image is loading */
    background-color: #d9def2;
    overflow-x: hidden;
}

a {
    color: #435ebe;
    /*text-decoration: underline;*/
}

.btn-primary {
    color: #fff;
    background-color: #435ebe;
    border-color: #435ebe;
}

/* HEADER */
.navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .show > .nav-link {
    color: #fff;
}

.text-gray-600 {
    color: #b9d9f5 !important;
}

.none {
    display: none;
}

.form-group label {
    color: #6ea6f6;
    font-weight: 600;
}

.form-group {
    margin-bottom: 0.7rem;
    min-width: 200px;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    color: #2e5fb8;
}

.bg-success {
    background-color: #5ebe43 !important;
}

.bg-danger {
    background-color: #be435e !important;
}

.bg-warning {
    background-color: #e4c66a !important;
}

.stats-icon.green {
    background-color: #bfc7e4;
    color: #fff;
}


/* SCHEDE */
/*
.urlOver a:hover {
    color: red;
    background-color: #00adff !important;
}
*/
/* background schede*/
.bg-body {
    background-color: #eceef8 !important;
    
}

.urlScheda a {
    color: #2D5EB7;
    font-size: 24px;
    font-weight: bold;
    text-decoration:underline ;
}
.urlScheda a:hover {
    text-decoration: none;
}

    .bg-body a:hover div {
        background-color: #eceef8 !important;
    }

    /* TAB*/
    /* Style the tab */
    .tab {
    overflow: hidden;
    padding-left: 20px
}

.tabactive {
    background-color: #fff !important;
}

/* Style the buttons inside the tab */
.tablink {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 18px;
    font-weight: bold;
}

/* Change background color of buttons on hover */


.tab a:hover {
    background-color: #e2eefc;
}

/* Create an active/current tablink class */
.tab a.active {
    background-color: #fff;
}


/*DATATABLE*/
/*checkbox seleziona colonne visibili*/
.cards tbody tr {
    float: left;
    width: 20rem;
    margin: 0.5rem;
    border: 0.0625rem solid rgba(0,0,0,.125);
    border-radius: .25rem;
    box-shadow: 0.25rem 0.25rem 0.5rem rgba(0,0,0,0.25);
}

.cards tbody td {
    display: block;
}

.table tbody label {
    display: none;
}

.cards tbody label {
    display: inline;
    position: relative;
    font-size: 85%;
    top: -0.5rem;
    float: left;
    color: #808080;
    min-width: 4rem;
    margin-left: 0;
    margin-right: 1rem;
    text-align: left;
}

tr.selected label {
    color: #404040;
}

.table .fa {
    font-size: 2.5rem;
    text-align: center;
}

.cards .fa {
    font-size: 7.5rem;
}

.dt-buttons a .glyphicon {
    visibility: hidden;
}

.dt-buttons a:hover .glyphicon {
    visibility: visible;
}


.dtr-details td {
    padding: 10px;
    border-bottom: 1px dotted #ccc !Important;
}

.dt-button-collection .dt-button.buttons-columnVisibility {
    background: none !important;
    background-color: transparent !important;
    box-shadow: none !important;
    border: none !important;
    padding: 0.25em 1em !important;
    margin: 0 !important;
    text-align: left !important;
}

.dt-button-collection .buttons-columnVisibility:before,
.dt-button-collection .buttons-columnVisibility.active span:before {
    display: block;
    position: absolute;
    top: 1.2em;
    left: 0;
    width: 12px;
    height: 12px;
    box-sizing: border-box;
}

.dt-button-collection .buttons-columnVisibility:before {
    content: ' ';
    margin-top: -8px;
    margin-left: 10px;
    border: 1px solid black;
    border-radius: 3px;
}

.dt-button-collection .buttons-columnVisibility.active span:before {
    font-family: 'Arial' !important;
    content: '\2714';
    margin-top: -15px;
    margin-left: 12px;
    text-align: center;
    text-shadow: 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
}

.dt-button-collection .buttons-columnVisibility span {
    margin-left: 17px;
}

.cards tbody label {
    color: #336699;
    width: 100%;
    display: block;
    border-top: 1px dotted #ccc;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 0px !important;
}

.dataTables_scrollBody::-webkit-scrollbar {
    width: 20px;
}

.dataTables_scrollBody::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 100px;
}

.dataTables_scrollBody::-webkit-scrollbar-thumb {
    border-radius: 100px;
    /* border: 2px solid #2482e0;*/
    border-left: 0;
    border-right: 0;
    background-color: #96AFDB;
}


table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: #eceef8;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #2D5EB7;
}

table.dataTable thead th, table.dataTable thead td {
    color: #2D5EB7;
    border-bottom: 1px solid #2D5EB7;
}

table.dataTable td {
    color: #2D5EB7;
    white-space: nowrap;
}

.dtr-modal-content {
    color: #2D5EB7 !important;
}

    .dtr-modal-content h2 {
        color: #398ada !important;
    }

table.dataTable.display tbody tr:hover > .sorting_1, table.dataTable.order-column.hover tbody tr:hover > .sorting_1 {
    background-color: #97beee;
}

/*  table.dataTable.hover tbody tr:hover, table.dataTable.display tbody tr:hover {
            background-color: #ffffff;
        }*/

table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before, table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before {
    background-color: #4d6ecc !important;
}

/* Ensure that the demo table scrolls */
/* th, td {
            white-space: nowrap;
        }*/

div.dataTables_wrapper {
    width: auto;
    margin: 0 auto;
}

.dtfc-fixed-left {
    background-color: #ecf6ff;
    font-weight: bold;
}


div.dataTables_wrapper {
    width: auto;
    margin: 0 auto;
}

.dtfc-fixed-left {
    background-color: #ecf6ff;
    font-weight: bold;
}

/*SCHEDA*/
.scheda label {
    color: #2482e0;
    width: 100%;
    display: block;
    font-size: 10px;
    border-top: none;
    text-transform: uppercase;
}

.scheda h6 {
    font-size: 1.5rem;
    text-transform: uppercase;
   
}



    .scheda h6 a {
        /* border-bottom: 2px solid #2D5EB7;*/
        color: #2D5EB7;
        text-decoration: underline;
    }
    .scheda h6 a:hover {
        /* border-bottom: 2px solid #2D5EB7;*/
      
        text-decoration: none;
    }

.scheda .pb-3 {
    padding-bottom: 0rem !important;
}

.accordion {
    width: 100%;
}

.accordion-button {
    color: #2482e0
}

    .accordion-button b {
        margin-right: 10px;
    }

.text-muted {
    color: #113fac !important;
    font-size: 18px;
}
/*SELECT 2*/

     .select2-container--default .select2-selection--single {
            background-color: #f5f8ff;
            border: 1px solid #9b9fc4;
            border-radius: 0px;
            padding-top: 8px;
            padding-bottom: 32px;
            cursor: text;
        }




            .select2-container--default .select2-selection--single .select2-selection__rendered {
                color: #1975fc;
                line-height: 28px;
            }


        .select2-container--default.select2-container--focus .select2-selection--multiple {
            border: solid #3f78df 1px;
            outline: 0;
        }


        .select2-container--default .select2-selection--multiple:before {
            content: ' ';
            display: block;
            position: absolute;
            border-color: #888 transparent transparent transparent;
            border-style: solid;
            border-width: 5px 4px 0 4px;
            height: 0;
            right: 6px;
            margin-left: -4px;
            margin-top: -2px;
            top: 50%;
            width: 0;
            cursor: pointer
        }

        .select2-container--open .select2-selection--multiple:before {
            content: ' ';
            display: block;
            position: absolute;
            border-color: transparent transparent #888 transparent;
            border-width: 0 4px 5px 4px;
            height: 0;
            right: 6px;
            margin-left: -4px;
            margin-top: -2px;
            top: 50%;
            width: 0;
            cursor: pointer
        }


        .select2-container--default .select2-selection--multiple {
            background-color: #f5f8ff;
            border: 1px solid #9b9fc4;
            border-radius: 0px;
            cursor: text;
            padding-top: 5px;
            padding-bottom: 12px;
            padding-right: 10px;
            position: relative;
        }

        button.dt-button, div.dt-button, a.dt-button, input.dt-button {
            position: relative;
            display: inline-block;
            box-sizing: border-box;
            margin-right: .333em;
            margin-bottom: .333em;
            padding: .5em 1em;
            border: 1px solid rgba(0, 0, 0, 0.3);
            border-radius: 2px;
            cursor: pointer;
            font-size: .88em;
            line-height: 1.6em;
            color: black;
            white-space: nowrap;
            overflow: hidden;
            background: none !important;
            background-color: #dedede !important;
            filter: none !important;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            text-decoration: none;
            outline: none;
            text-overflow: ellipsis;
        }


/*PAGINAZIONE*/
.current {
    z-index: 3;
    color: #fff;
    background-color: #0d6efd;
    border-color: #0d6efd;
}


.pagination {
    float: right;
    margin-bottom: 30px;
}

.page-link {
  
     border: 0px !important;
   
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #435ebe;
    border-color: #435ebe;
    font-size: 1rem;
    border-radius: 0.25rem;
    padding: 0.375rem 0.75rem;
}

.page-link:hover {
    z-index: 2;
    color: #0a58ca;
    background-color: #fff;
    border-color: #fff;
    border:0px !important;
}

    .pagination a {
        cursor: pointer;
    }

.btn-danger {
    background-color: #435ebe !important;
    border-color: #435ebe !important;
}
/*MAPPA*/
.map-region__shape {
    fill: #96AFDB;
}

.map-region__link .map-region__shape {
    fill: white;
    cursor: pointer;
    transition: fill 0.3s ease-out;
}

.map-region__link:hover .region__badge, .map-region__link:focus .region__badge {
    opacity: 1;
}

.map-region__link.active .map-region__shape,
.map-region__link.active .region__badge circle {
    fill: #95D70E;
}

.map-region__link.active .region__badge {
    opacity: 1;
}

.map-region__link.disabled .map-region__shape, .map-region__link.disabled:hover .map-region__shape, .map-region__link.disabled:focus .map-region__shape {
    fill: #96AFDB;
}

.map-region__link.disabled .map-region__shape,
.map-region__link.disabled circle,
.map-region__link.disabled text, .map-region__link.disabled:hover .map-region__shape,
.map-region__link.disabled:hover circle,
.map-region__link.disabled:hover text, .map-region__link.disabled:focus .map-region__shape,
.map-region__link.disabled:focus circle,
.map-region__link.disabled:focus text {
    cursor: default;
}

.map-region__link.disabled .region__badge, .map-region__link.disabled:hover .region__badge, .map-region__link.disabled:focus .region__badge {
    opacity: 0;
}

.region__badge {
    opacity: 1;
    transition: opacity 0.3s ease-out;
}

    .region__badge circle {
       /* r: 15;*/
        fill: white;
        stroke: #1a3566;
        stroke-width: 4;
    }

    .region__badge text {
        fill: #1a3566;
        font-family: sans-serif;
        font-size: 12px;
        font-weight: 900;
        text-anchor: middle;
    }

.description {
    pointer-events: none;
    position: absolute;
    font-size: 16px;
    text-align: left;
    background: white;
    padding: 10px 15px;
    z-index: 5;
    height: 30px;
    line-height: 30px;
    margin: 0 auto;
    border-radius: 5px;
    height: auto;
    background-color: #435ebe;
    color: #ffffff;
    font-size: 14px;
    display: none;
}

    .description h5 {
        color: #ffffff;
    }

    .description.active {
        display: block;
    }

    .description:after {
        content: '';
        position: absolute;
        left: 50%;
        top: 100%;
        width: 0;
        height: 0;
        margin-left: -10px;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-top: 10px solid white;
    }

.heyo:hover {
    fill: #CC2929;
}

.enabled {
    fill: #21669E;
    /*cursor: pointer;*/
}


/*MODAL*/
.modal .modal-header .modal-title {
    font-size: 2.1rem;
}

.modal-body.scheda {
    color: #113fac !important
}

    .modal-body.scheda .row div{
        margin-bottom: 14px;
        border-bottom: 1px dotted #cccc;
    }
/*FOOTER*/
footer {
    background-color: #435ebe;
    padding: 15px;
    /*border-top: 1px solid #fff;*/
    position: relative;
    margin-bottom: 0px;
    width: 100%;
    position: absolute;
    left: 0px;
}
footer div{
    color: #fff !important;
  
}

/*MENU*/


@media screen and (max-width: 768px) {
    .logoDesktop {
        height: 3.5rem !important;
      
        display: none;
    }
    .logoMobile {
        height: 3.5rem !important;
        display: inline;
    }

   /* .titlePage {
        color: #fff;
        padding-top: 26px;
        font-size: 18px;
        font-weight: bold;
        position: absolute;
        top: 30px;
        left: 100px;
    }*/

    .titlePage {
        color: #435ebe;
        padding-top: 26px;
        font-size: 11px;
        font-weight: bold;
        position: absolute;
        padding-left: 8px;
        padding-right: 8px;
        top: 35px;
        left: 70px;
        background-color: #fff;
        border-radius: 8px;
    }
   
}
@media screen and (min-width: 769px) {
    .logoDesktop {
        height: 3.5rem !important;
        height: 50px;
        display: inline;
    }

    .logoMobile {
        height: 3.5rem !important;
        display: none;
    }

    /*.titlePage {
        color: #fff;
        padding-top: 26px;
        font-size: 18px;
        font-weight: bold;
        position: absolute;
        top: 22px;
        left: 200px;
    }*/

    .titlePage {
        color: #435ebe;
        padding-top: 18px;
        font-size: 18px;
        font-weight: bold;
        position: absolute;
        /* top: 22px; */
        left: 200px;
        padding: 2px;
        padding-left: 6px;
        padding-right: 6px;
        margin-top: 18px;
        background-color: #fff;
        border-radius: 8px;
    }
}


.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #95d70e;
    border: 1px solid #fff;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    border-right: 1px solid #fff;
    color: #fff;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    color: #fff;
}

.select2-container {
    width: 100% !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    cursor: default;
    padding: 4px !important;
    /* padding-left: 2px; */
    /* padding-right: 5px; */
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover, .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:focus {
    background-color: #649205 !important;
    color: #faf8f8 !important;
    outline: none;
}

.stats-icon-2 {
    width: 3rem;
    height: 3rem;
    border-radius: 0.5rem;
    border: 2px solid #fff;
    background-color: #2d5fb8;
    /* float: right; */
    /* display: flex; */
    align-items: center;
    justify-content: center;
    padding: 6px;
    color: #fff;
    border: 1px solid #ffffff !important;
}



.modal .modal-header i, .modal .modal-header svg {
    font-size: 30px !important;
    height: 30px !important;
    width: 30px !important;
}





.breakDetail {
    margin-top: 25px;
    background-color: #d0e5fa;
    padding: 10px;
    margin-bottom: 15px;
    font-size: 22px !important;
    font-weight: bold;
    padding-bottom: 20px;
    padding-top: 20px;
}


.btn-outline-primary {
    color: #243c92;
    border-color: #435ebe;
    background-color: #eef4fc;
}

    .btn-outline-primary hover {
        color: #ffffff;
        border-color: #435ebe;
        background-color: #435ebe;
    }

button.urlScheda {
    border: 0px;
    background-color: transparent;
    font-size: 18px;
    border-bottom: 2px solid #2d5eb7;
    color: #2d5eb7;
    font-weight: bold;
    padding-left:0px
}

    button.urlScheda:hover {
        border-bottom: 2px dotted #2d5eb7;
    }


.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    color: white !important;
    border: 1px solid #fff !important;
    background-color: #dedede;
    background: none !important;
}

.accordion-collapse label {
  
    display: inline;
    color: #666;
    margin-right: 10px;
    font-size: 14px;
}

footer a {
    color: #fff;
    display: block;
    width: 100%;
    font-size: 12px;
    margin-bottom: 10px;
    border-bottom: 1px solid #435ebe;
}

    footer a:hover {
        border-bottom: 1px solid #fff;
        color: #fff;
    }

div.dt-button-collection.three-column {
    padding: 10px;
    /* width: 60%;*/
}

button.dt-button.buttons-columnVisibility.active {
    color: #1534a0;
}

/*
button.btn.btn-light-secondary:disabled {
    background-color: #0f37c8;
    color: #fff;
}
*/
.buttonActive {
    background-color: #0f37c8 !important;
    color: #fff !important;
    z-index:999;


   /* content: '';
    border-bottom: 0;
    border-top: 15px solid #5494db;
    transform: translate(-50%, calc(100% + 5px));*/
}





.select2-container--default .select2-search--inline .select2-search__field {
  
    padding-bottom: 20px;
}





/*MOBILE*/
@media screen and (max-width: 769px) {

    #main #main-content {
        padding: 1rem;
    }

    .row.match-height {
        padding: 0px !important;
    }

    .accordion-button {
       
        padding: 0.5rem !important;
        font-size: 16px;
       
    }

    button.urlScheda {
        font-size: 14px;
       
    }

    .card .card-body {
        padding: 0.5rem;
    }

    .row {
        --bs-gutter-x: 0rem !important;
      
    }

    .navbar {
         height: auto !important;
         padding: 0px;
    }

    .titlePage {
       
        padding-top: 0px;
       
    }

    div.dt-button-collection.fixed.two-column {
        margin-left: -80px;
    }

}

button.up.btn.btn-custom.pagebutton {
    border: 1px solid #ccc;
    margin: 2px;
}

button.up.btn.btn-custom.pagebutton:hover {
    background-color:#ecf6ff
}

li.paginate_button.page-item a {
    border: 1px solid #cccccc !important;
    margin: 2px;
    border-radius: 0.25rem;
}

    li.paginate_button.page-item a:hover {
        background-color: #ecf6ff
    }


.dropdown, .dropend, .dropstart, .dropup {
    
    z-index: 99;
}

div.dt-button-collection.two-column {
    width: 80%;
}

div.dt-button-collection.fixed {
    position: fixed;
    top: 50%;
    left: 20%;
    width: 90%;
    margin-left: -75px;
    border-radius: 0;
}

button.btn.btn-light-secondary:hover {
    background-color: #c4e1ff;
}

/* Tooltip*/
.tooltip-wrapper {
    position: relative;
    display: inline-block;
    /*border-bottom: 1px dotted black;
    cursor: help;*/
    width: 100%;
}

.tooltip-wrapper span {
    visibility: hidden;
    position: absolute;
    width: 160px;
    bottom: 100%;
    left: 50%;
    margin-left: -80px;
    background-color: #363636;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    z-index: 999;
}

    .tooltip-wrapper span::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: #555 transparent transparent transparent;
    }

.tooltip-wrapper:hover span {
    visibility: visible;
}


.display-none {
    display: none !important;
    visibility:hidden !important;
    font-size:3px;
}